<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use GuzzleHttp\Client;

class OutApiController extends Controller
{
    
    private $client;

    public function __construct(Client $client)
    {
        $this->client = $client;
    }

    public function get()
    {
        $res = $this->client->get('out-api');
        return [
            'status' => $res->getStatusCode()
        ];
    }
}
