<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/user', function () {
    return App\User::all();
});

Route::get('/posts/create', function () {
    return view('posts/create');
});

Route::post('/posts', function () {
    App\Post::create(request()->all());
    redirect('/posts');
});

Route::get('/posts', function () {
    return view('posts/index', ['posts' => App\Post::all()]);
});