<?php 
use Codeception\Util\HttpCode;
class ApiPostCreateCest
{
    public function _before(ApiTester $I)
    {
    }

    // tests
    public function APIで記事を投稿する(ApiTester $I)
    {
        // Httpリクエスト
        $I->sendPOST('/posts', [
            'title' => 'API test',
            'content' => 'API test content'
        ]);

        // レスポンスの確認
        $I->seeResponseCodeIs(HttpCode::CREATED);
        $I->seeResponseIsJson();
        $I->seeResponseContainsJson([
            'title' => 'API test',
            'content' => 'API test content'
        ]);

        // データベースを確認
        $I->seeRecord('posts', ['title' => 'API test']);
    }

    public function _ほげほげ(ApiTester $I)
    {
        // Httpリクエスト
        $I->sendPOST('/posts', [
            'title' => 'API test',
            'content' => 'API test content'
        ]);

        // レスポンスの確認
        $I->seeResponseCodeIs(HttpCode::CREATED);
        $I->seeResponseIsJson();
        $I->seeResponseContainsJson([
            'title' => 'API test',
            'content' => 'API test content'
        ]);

        // データベースを確認
        $I->seeRecord('posts', ['title' => 'API test']);
    }
}
