<?php 
use Codeception\Util\HttpCode;
class PostCreateCest
{
    // tests
    public function 記事を投稿できる(FunctionalTester $I)
    {
        // 投稿ページを表示
        $I->amOnPage('/posts/create');

        // フォームを入力
        $I->submitForm('form', [
            'title' => 'Create Test',
            'content' => 'Create Content'
        ]);

        // 記事一覧にリダイレクト
        $I->seeCurrentUrlEquals('/posts');

        // データベースを確認
        $I->seeRecord('posts', [
            'title' => 'Create Test',
            'content' => 'Create Content'
        ]);
    }
}
