<?php 

use Codeception\Util\HttpCode;

class PostIndexCest
{
    public function _before(FunctionalTester $I)
    {
    }

    public function 記事を一覧できる(FunctionalTester $I)
    {
        // データを生成
        $I->haveInDatabase('posts', [
            'title' => 'テストタイトル',
            'content' => 'テスト内容'
        ]);

        // ページにアクセス
        $I->amOnPage('/posts');
        $I->seeResponseCodeIs(HttpCode::OK);

        // 表示を確認
        $I->see('テストタイトル');
        $I->see('テスト内容');
    }
}
